---
title: "ptrcnull's nerdposting"
date: 2020-11-24T19:24:33+01:00
draft: false
---

![avatar](/avatar.png)

Hi! I'm Patrycja.

DevOps Engineer at [HackingDept](https://hackingdept.com),
CTF player at [p4](https://p4.team),
Golang/TypeScript programmer,
Alpine Linux package maintainer,
[open-sourcerer](https://github.com/ptrcnull).
Self-hosting enthusiast, maintains some public services, loves Docker, Hitokage and Flutter.

Some of my projects include:

- [mkdisk](https://github.com/ptrcnull/mkdisk) - Alpine Linux disk image builder for use in MicroVMs
- [deobf](https://github.com/ptrcnull/deobf) - basic ECMAScript deobfuscator
- [imagedrm](https://git.ddd.rip/ptrcnull/imagedrm) - library wrapping DRM as Go's draw.Image
- [init](https://git.ddd.rip/ptrcnull/init) - Busybox-compatible init written in Go
- [openftm](https://github.com/ptrcnull/openftm) - FortiToken TOTP generator
- [android_kernel_umidigi_f2](https://github.com/ptrcnull/android_kernel_umidigi_f2) - (still incomplete) kernel sources for Umidigi F2
- [LidlLite](https://github.com/ptrcnull/LidlLite) - lightweight alternative to [Lidl Plus](https://play.google.com/store/apps/details?id=com.lidl.eci.lidlplus) app
- [tgmail](https://git.ddd.rip/ptrcnull/tgmail) - SMTP to Telegram relay
- [ptrcnull.me](https://git.ddd.rip/ptrcnull/ptrcnull.me) - this website, along with its [theme](https://git.ddd.rip/ptrcnull/smol) for Hugo
